global using global::System;
global using global::System.Collections.Generic;
global using global::System.IO;
global using global::System.Linq;
global using global::System.Net.Http;
global using global::System.Threading;
global using global::System.Threading.Tasks;

namespace ConsoleApp2
{
    internal class Program
    {
        static void Main(string[] args)
        {
            int t = int.Parse(Console.ReadLine());
            int n, m;


            for(int k = 0; k < t; k++)
            {
                string[] ulaz = Console.ReadLine().Split(" ");
                n = int.Parse(ulaz[0]);
                m = int.Parse(ulaz[1]);

                // da bi zbir u koloni ili redu bio deljiv sa i ili j
                // mora da ima toliko jedinica
                // zakljucujemo da matrica mora biti kvadratna

                if (n != m) Console.WriteLine(-1);
                else
                {
                    int[,] matrica = new int[n, m];
                    // formiranje opp
                    for (int i = 0; i < n; i++)
                    {
                        for (int j = n-i-1; j < m; j++)
                        {
                            if (i + j >= n - 1)
                                matrica[i, j] = 1;
                        }
                    }
                    // stampanje
                    for (int i = 0; i < n; i++)
                    {
                        for (int j = 0; j < m; j++)
                        {
                            Console.Write("{0} ",matrica[i, j]);
                        }
                        Console.WriteLine();
                    }


                }

            }
        }
    }
}